please update AUS to AUS2_PRODUCTION tag

RESOLVED FIXED

Status

mozilla.org Graveyard
Server Operations
--
blocker
RESOLVED FIXED
6 years ago
3 years ago

People

(Reporter: bhearsum, Assigned: ashish)

Tracking

Details

(Reporter)

Description

6 years ago
You should end up with rev 1.231 of config-dist.php.

I double checked the syntax with 'php -l', it's valid.
Assignee: server-ops → afernandez
[root@ip-admin02 ~]# cd /data/sync/dist/aus2.mozilla.org/app
[root@ip-admin02 app]# cvs -q up -dP -r AUS2_PRODUCTION
? backup
? inc/config.php
P inc/config-dist.php
[root@ip-admin02 app]# cd inc/
[root@ip-admin02 inc]# md5sum config-dist.php
34b133ce4ea4513c25992d8eb08ca792  config-dist.php
[root@ip-admin02 inc]# md5sum config.php
a6b19c936e522765522adf950f387f53  config.php
[root@ip-admin02 inc]# cp config.php ../backup/config.php.`date '+%Y%m%d'`
[root@ip-admin02 inc]# cp config-dist.php config.php
cp: overwrite `config.php'? y
[root@ip-admin02 inc]# md5sum config.php
34b133ce4ea4513c25992d8eb08ca792  config.php
[root@ip-admin02 inc]# git add config*
[root@ip-admin02 inc]# git commit -m "Bug 800473"
[master e681ea5] Bug 800473
 2 files changed, 0 insertions(+), 216 deletions(-)
[root@ip-admin02 inc]# issue-multi-command dist /data/bin/libget/get-php5-www-git.sh
[pp-app-dist02] run: /data/bin/libget/get-php5-www-git.sh
[pp-app-dist01] run: /data/bin/libget/get-php5-www-git.sh
[pp-app-dist05] run: /data/bin/libget/get-php5-www-git.sh
[pp-app-dist08] run: /data/bin/libget/get-php5-www-git.sh
[pp-app-dist06] run: /data/bin/libget/get-php5-www-git.sh
[pp-app-dist07] run: /data/bin/libget/get-php5-www-git.sh
[pp-app-dist04] run: /data/bin/libget/get-php5-www-git.sh
[pp-app-dist03] run: /data/bin/libget/get-php5-www-git.sh
[pp-app-dist09] run: /data/bin/libget/get-php5-www-git.sh
[root@ip-admin02 inc]# issue-multi-command dist md5sum /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist01] run: md5sum /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist01] out: 34b133ce4ea4513c25992d8eb08ca792  /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist04] run: md5sum /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist04] out: 34b133ce4ea4513c25992d8eb08ca792  /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist03] run: md5sum /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist03] out: 34b133ce4ea4513c25992d8eb08ca792  /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist02] run: md5sum /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist02] out: 34b133ce4ea4513c25992d8eb08ca792  /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist08] run: md5sum /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist08] out: 34b133ce4ea4513c25992d8eb08ca792  /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist06] run: md5sum /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist06] out: 34b133ce4ea4513c25992d8eb08ca792  /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist07] run: md5sum /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist07] out: 34b133ce4ea4513c25992d8eb08ca792  /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist05] run: md5sum /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist05] out: 34b133ce4ea4513c25992d8eb08ca792  /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist09] run: md5sum /data/www/aus2.mozilla.org/app/inc/config.php
[pp-app-dist09] out: 34b133ce4ea4513c25992d8eb08ca792  /data/www/aus2.mozilla.org/app/inc/config.php
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
(Reporter)

Comment 2

6 years ago
Looks good, thanks for the quick turnaround!
Status: RESOLVED → VERIFIED
pp-app-dist06 isn't returning updates while 02/03/06/07 are, eg

$ curl -iL https://aus3.mozilla.org/update/1/Firefox/13.0.1/20120614114901/WINNT_x86-msvc/en-US/release/update.xml
HTTP/1.1 200 OK
Server: Apache
X-Backend-Server: pp-app-dist06
Cache-Control: no-store, must-revalidate, post-check=0, pre-check=0, private
Content-Type: text/xml;
Date: Thu, 11 Oct 2012 22:37:44 GMT
Set-Cookie: aus2a=63.245.214.133.1349995064.201; expires=Thu, 12-Oct-2017 03:41:34 GMT; path=/; domain=aus2.mozilla.org
X-Powered-By: PHP/5.1.6
X-Cache-Info: not cacheable; response specified "Cache-Control: no-store"
Content-Length: 42

<?xml version="1.0"?>
<updates>
</updates>
Status: VERIFIED → REOPENED
Resolution: FIXED → ---
(In reply to Nick Thomas [:nthomas] from comment #3)
> pp-app-dist06 isn't returning updates while 02/03/06/07 are, eg

Oops, make that:
pp-app-dist06 isn't returning updates while 02/03/04/07 are
Ping ? Roughly 1 in 9 requests for an update aren't being given the files which resolve a number of security bugs. It's not version specific, the same problem is seen for Firefox 15.0.1 on windows where most of our users are.
(Assignee)

Comment 6

6 years ago
Kicked httpd on dist06:

$ curl -iLH "Host: aus3.mozilla.org" http://pp-app-dist06:81/update/1/Firefox/13.0.1/20120614114901/WINNT_x86-msvc/en-US/release/update.xml
HTTP/1.1 200 OK
Date: Fri, 12 Oct 2012 03:33:17 GMT
Server: Apache
X-Backend-Server: pp-app-dist06
X-Powered-By: PHP/5.1.6
Set-Cookie: aus2a=10.8.84.5.1350012797.0156; expires=Thu, 12-Oct-2017 08:37:07 GMT; path=/; domain=aus2.mozilla.org
Cache-Control: no-store, must-revalidate, post-check=0, pre-check=0, private
Content-Length: 880
Content-Type: text/xml;

<?xml version="1.0"?>
<updates>
    <update type="minor" displayVersion="16.0.1" appVersion="16.0.1" platformVersion="16.0.1" buildID="20121010144125" detailsURL="https://www.mozilla.com/en-US/firefox/16.0.1/releasenotes/" actions="silent">
        <patch type="complete" URL="http://download.mozilla.org/?product=firefox-16.0.1-complete&amp;os=win&amp;lang=en-US" hashFunction="SHA512" hashValue="e0afe17069682e9e8aceb2a29eaa7cab556760dfbf546c393f8769536245b9643242371bd4390ba5920065aa43b875c292818a7137c3847ab400388aeaf3f2f0" size="22788081"/>
        <patch type="partial" URL="http://download.mozilla.org/?product=firefox-16.0.1-partial-13.0.1&amp;os=win&amp;lang=en-US" hashFunction="SHA512" hashValue="3607634a2402663cd9509842935f2c35cb9c0751028aaaea404def0446e02437a91c6b8f361a7a88c2ee6a667be75cec92743f7fe52537a4ecc0ef6f940d8556" size="13964108"/>
    </update>
</updates>
Assignee: afernandez → ashish
Status: REOPENED → RESOLVED
Last Resolved: 6 years ago6 years ago
Resolution: --- → FIXED
Product: mozilla.org → mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.